E-MailRelay

Classes | Namespaces
gclient.h File Reference
`#include "gdef.h"`
`#include "gaddress.h"`
`#include "gsocks.h"`
`#include "gconnection.h"`
`#include "gexception.h"`
`#include "gexceptionsource.h"`
`#include "geventhandler.h"`
`#include "gresolver.h"`
`#include "glocation.h"`
`#include "glinebuffer.h"`
`#include "gstringview.h"`
`#include "gcall.h"`
`#include "gtimer.h"`
`#include "gsocket.h"`
`#include "gsocketprotocol.h"`
`#include "gevent.h"`
`#include "gslot.h"`
`#include "gstr.h"`
`#include <string>`

Go to the source code of this file.

## Classes
class | GNet::Client
| A class for making an outgoing connection to a remote server, with support for socket-level protocols such as TLS/SSL and SOCKS 4a. More...
struct | GNet::Client::Config
| A structure containing GNet::Client configuration parameters. More...

## Namespaces
namespace | GNet
| Network classes.